package com.shixing.sxedit.task;

/**
 * 渲染时回调接口
 *
 *
 * */
public interface SXEditRenderListener {
    /**
     * 渲染开始时回调
     *
     * */
    void renderStarted();

    /**
     * 渲染进度回调
     *
     * @param progress 渲染进度
     * */
    void renderUpdate(float progress);

    /**
     * 渲染结束回调
     *
     * @param code 返回码 {@link com.shixing.sxedit.SXErrorCode}
     * */
    void renderEnd(int code);

    /**
     * 渲染取消回调
     *
     * */
    void renderCanceled();
}
